using MECF.Framework.Common.Communications;
using System.Collections.Generic;

namespace MECF.Framework.RT.EquipmentLibrary.HardwareUnits.UPS
{
    public abstract class UPSHandler : HandlerBase
    {
        public UPSBase Device { get; }

        protected UPSHandler(UPSBase device, string Oid)
            : base(Oid)
        {
            Device = device;
        }
        protected UPSHandler(ITAUPS device, List<string> Oid)
            : base(Oid)
        {
            Device = device;
        }
        public override bool HandleMessage(MessageBase msg, out bool handled)
        {
            var result = msg as UPSMessage;
            ResponseMessage = msg;
            handled = true;
            return true;
        }
    }
}
